> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/53.-vaicajums-sanemt-rezgotos-datus-no-asapplieddataset.md).

# 53. Vaicājums: saņemt režģotos datus no "AsAppliedDataset"

Vaicājums, lai iegūtu režģotu datus no rastra datu kopas, kas saistīta ar "AsAppliedDataset", kā `GEOJSON`  ar punktiem vai `GEOTIFF`. Rekvizītu atribūts satur visus datu kopas atribūtus katram punktam.&#x20;

#### 1. Pieprasiet failu eksportēšanai

{% hint style="danger" %}
Ieteicams izgūt tikai vienu datu kopu ar `sourceDataUrl` vienā pieprasījumā.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, un `MinusTwoPixels` ir pieejami kā `buferis`.

`GEOJSON` un `GEOTIFF` ir pieejami kā formāts.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromAsAppliedDataset {
  getFarms (farmUuids: ["<vietturis_priekš_farmas_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Lejupielādējiet ģenerēto failu

Pēc veiksmīgas faila sagatavošanas to var lejupielādēt, izmantojot `curl` vai līdzīgu pieeju.

{% hint style="danger" %}
`sourceDataUrl` saite ir pieejama tikai **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/53.-vaicajums-sanemt-rezgotos-datus-no-asapplieddataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
